/* ===========================================================================
 * File: zg2s.h
 *
 * Version 1.1
 *
 * Copyright (C) 2005/2006 Landesumweltamt  NRW, Germany
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 *----------------------------------------------------------------------------
 *
 * Headerfile fuer das Modul zg2s.c
 * ==========================================================================*/
#ifndef _ZG2S_H
#define _ZG2S_H

#define MSG_INFO           1
#define MSG_AUFRUF         2
#define MSG_DMNA_FILE_IFS  3
#define MSG_DMNA_FILE_OFS  4
#define MSG_DELTA          5
#define MSG_SEQU           6
#define MSG_LHB            7
#define MSG_MEM            8

#define OPT_KEINE         20

#define KL0  0
#define KL1  1
#define KL2  2
#define KL3  3

#define ELEM_POLYGON  5

struct header
{
   int lowb[2], hghb[2],
       dims,
       size;
   double xmin, ymin,
          gakrx, gakry,
          delta;
   char   locl[10],
          form[10],
          artp[10],
          vldf[10],
          sequ[10],
          mode[10];
};

struct relHoehe
{
   double hoehe, steigung;
   int    klasse;
};

typedef struct relHoehe RH;

#endif
